import { max, min, pip, rep, matrixDiag, matrixTranspose, matrixAdd, matrixMultiply, matrixChol, matrixChol2inv, matrixSolve, variogramGaussian, variogramExponential, variogramSpherical } from './utils';
declare function train(t: number[], x: number[], y: number[], model: any, sigma2: any, alpha: number): {
    t: number[];
    x: number[];
    y: number[];
    nugget: number;
    range: number;
    sill: number;
    A: number;
    n: number;
    model: typeof variogramExponential;
    K: never[];
    M: never[];
};
declare function predict(x: number, y: number, variogram: {
    n: number;
    model: (arg0: number, arg1: any, arg2: any, arg3: any, arg4: any) => void;
    x: number[];
    y: number[];
    nugget: any;
    range: any;
    sill: any;
    A: any;
    M: number[];
}): number;
declare function variance(x: number, y: number, variogram: {
    n: number;
    model: {
        (arg0: number, arg1: any, arg2: any, arg3: any, arg4: any): void;
        (arg0: number, arg1: any, arg2: any, arg3: any, arg4: any): number;
    };
    x: number[];
    y: number[];
    nugget: any;
    range: any;
    sill: any;
    A: any;
    K: number[];
}): any;
declare function grid(polygons: number[][][], variogram: {
    t: number[];
    n: number;
    model: (arg0: number, arg1: any, arg2: any, arg3: any, arg4: any) => void;
    x: number[];
    y: number[];
    nugget: any;
    range: any;
    sill: any;
    A: any;
    M: number[];
}, width: number): {
    xlim: number[];
    ylim: number[];
    width: number;
    data: any[];
    zlim: number[];
} | undefined;
declare function plot(canvas: HTMLCanvasElement, grid: {
    data: [][];
    xlim: number[];
    ylim: number[];
    width: number;
    zlim: any[];
}, xlim: number[], ylim: number[], colors: any[]): void;
export { train, predict, variance, grid, plot, max, min, pip, rep, matrixDiag, matrixTranspose, matrixAdd, matrixMultiply, matrixChol, matrixChol2inv, matrixSolve, variogramGaussian, variogramExponential, variogramSpherical, };
declare const _default: {
    train: typeof train;
    predict: typeof predict;
    variance: typeof variance;
    grid: typeof grid;
    plot: typeof plot;
    max: typeof max;
    min: typeof min;
    pip: typeof pip;
    rep: typeof rep;
    matrixDiag: typeof matrixDiag;
    matrixTranspose: typeof matrixTranspose;
    matrixAdd: typeof matrixAdd;
    matrixMultiply: typeof matrixMultiply;
    matrixChol: typeof matrixChol;
    matrixChol2inv: typeof matrixChol2inv;
    matrixSolve: typeof matrixSolve;
    variogramGaussian: typeof variogramGaussian;
    variogramExponential: typeof variogramExponential;
    variogramSpherical: typeof variogramSpherical;
};
export default _default;
